Package: org.codehaus.groovy.transform.sc.transformers

## [Java] Class CastExpressionOptimizer

- org.codehaus.groovy.transform.sc.transformers.CastExpressionOptimizer

-     public class CastExpressionOptimizer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CastExpressionOptimizer(StaticCompilationTransformer staticCompilationTransformer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `transformCastExpression(CastExpression cast)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public CastExpressionOptimizer(StaticCompilationTransformer staticCompilationTransformer)

  - ### Method Detail

    - #### public Expression transformCastExpression(CastExpression cast)